Skip to main content
GET
/
agents
/
{agent_id}
Get Agent Details
curl --request GET \
  --url https://api.example.com/agents/{agent_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "main-agent",
  "name": "Main Agent",
  "db_id": "9e064c70-6821-4840-a333-ce6230908a70",
  "model": {
    "name": "OpenAIChat",
    "model": "gpt-4o",
    "provider": "OpenAI"
  },
  "sessions": {
    "session_table": "agno_sessions"
  },
  "knowledge": {
    "knowledge_table": "main_knowledge"
  },
  "system_message": {
    "markdown": true,
    "add_datetime_to_context": true
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

agent_id
string
required

Response

Agent details retrieved successfully

id
string | null
name
string | null
db_id
string | null
description
string | null
role
string | null
model
ModelResponse · object | null
tools
Tools · object | null
sessions
Sessions · object | null
knowledge
Knowledge · object | null
memory
Memory · object | null
reasoning
Reasoning · object | null
default_tools
Default Tools · object | null
system_message
System Message · object | null
extra_messages
Extra Messages · object | null
response_settings
Response Settings · object | null
introduction
string | null
streaming
Streaming · object | null
metadata
Metadata · object | null
input_schema
Input Schema · object | null
is_component
boolean
default:false
current_version
integer | null
stage
string | null